summaryrefslogtreecommitdiff
path: root/dev-python/routes
diff options
context:
space:
mode:
authorroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
committerroot <root@alpha.trunkmasters.com>2026-06-12 19:09:37 -0500
commitb590c8d7572b727d565cc0b8ff660d43569845de (patch)
tree06f7a4102ea4e845df8b66660f252920d52952f9 /dev-python/routes
parent24f9cbfc4c34fdb6a6e03311674414e881ceab47 (diff)
downloadbaldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.gz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.tar.xz
baldeagleos-repo-b590c8d7572b727d565cc0b8ff660d43569845de.zip
Adding metadata
Diffstat (limited to 'dev-python/routes')
-rw-r--r--dev-python/routes/Manifest2
-rw-r--r--dev-python/routes/metadata.xml10
-rw-r--r--dev-python/routes/routes-2.5.1-r2.ebuild51
3 files changed, 63 insertions, 0 deletions
diff --git a/dev-python/routes/Manifest b/dev-python/routes/Manifest
new file mode 100644
index 000000000000..d0275421b115
--- /dev/null
+++ b/dev-python/routes/Manifest
@@ -0,0 +1,2 @@
+DIST routes-2.5.1-pytest.patch 229759 BLAKE2B 826a053e82b5cae9996c73c56948b24b8c508b33440c60aea62d8d2dfa6461a43377ee1748c8852dd8c2527b0666e9c4c64e38eeaea22fc67ee9291ddcdffb6d SHA512 e6dba07207bf52b931e2369ad32450ebbfbc26571502b9b827b6200f4ce7cfc7b784e4685f9f11472bed63b3711af10ed9833eda35003cc2010924eeeaae4235
+DIST routes-2.5.1.gh.tar.gz 198777 BLAKE2B ca3487af94677889c5249b501fc6dc07e155dd4a862df4f1c8391154598a343ee35b7e8be2b5200bdb234b606a837c471af806c9dc8aa39796b4f4db04bbb164 SHA512 939aebac11f5499ea5c4009e016c52b8b161e7d67c4a540cdbf456cb3db5aec80a4054e7bec9862aaaa02559b081b09cf699c6508e1ac9acffbc5706acd56f30
diff --git a/dev-python/routes/metadata.xml b/dev-python/routes/metadata.xml
new file mode 100644
index 000000000000..5e95859f915a
--- /dev/null
+++ b/dev-python/routes/metadata.xml
@@ -0,0 +1,10 @@
+<?xml version="1.0" encoding="UTF-8"?>
+<!DOCTYPE pkgmetadata SYSTEM "https://docs.baldeagleos.com/dtd/metadata.dtd">
+<pkgmetadata>
+ <maintainer type="project">
+ <email>python@gentoo.org</email>
+ <name>Python</name>
+ </maintainer>
+ <stabilize-allarches />
+ <origin>baldeagleos-repo</origin>
+</pkgmetadata>
diff --git a/dev-python/routes/routes-2.5.1-r2.ebuild b/dev-python/routes/routes-2.5.1-r2.ebuild
new file mode 100644
index 000000000000..8698cadf1a24
--- /dev/null
+++ b/dev-python/routes/routes-2.5.1-r2.ebuild
@@ -0,0 +1,51 @@
+# Copyright 1999-2025 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=8
+
+DISTUTILS_USE_PEP517=setuptools
+PYTHON_COMPAT=( python3_{13..14} )
+
+inherit distutils-r1
+
+DESCRIPTION="A re-implementation of Rails routes system, mapping URLs to Controllers/Actions"
+HOMEPAGE="
+ https://routes.readthedocs.io/en/latest/
+ https://github.com/bbangert/routes/
+ https://pypi.org/project/Routes/
+"
+SRC_URI="
+ https://github.com/bbangert/routes/archive/v${PV}.tar.gz
+ -> ${P}.gh.tar.gz
+ https://github.com/bbangert/routes/pull/107.patch
+ -> ${P}-pytest.patch
+"
+
+LICENSE="BSD"
+SLOT="0"
+KEYWORDS="~alpha amd64 arm arm64 ~hppa ~loong ~m68k ~mips ppc ppc64 ~riscv ~s390 ~sparc x86 ~x64-macos"
+
+RDEPEND="
+ >=dev-python/repoze-lru-0.3[${PYTHON_USEDEP}]
+ dev-python/six[${PYTHON_USEDEP}]
+"
+
+BDEPEND="
+ test? (
+ dev-python/webob[${PYTHON_USEDEP}]
+ dev-python/webtest[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests pytest
+
+PATCHES=(
+ "${DISTDIR}/${P}-pytest.patch"
+)
+
+src_prepare() {
+ distutils-r1_src_prepare
+ # fix the version number
+ sed -i -e '/tag/d' setup.cfg || die
+ find tests -name '__init__.py' -delete || die
+}